Subject: Re: bug#72188: 29.2; Won't render U+2F75 kangxi radical character
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 04 Aug 2024 10:24:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sat, 20 Jul 2024 09:51:32 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Fri, 19 Jul 2024 12:17:30 -0600
> > From:  Robert Nikander via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > 
> > I'm trying to include a certain unicode character in some files. The 
> > character is U+2F75 - KANGXI RADICAL BAMBOO: ⽵.
> > 
> > Even though my Windows system has fonts that render that glyph, Emacs
> > will not use them, and it renders the character as the box with the
> > "2F75" in it. If if my default face doesn't have the glyph,
> > shouldn't Emacs fall back on a font that does have the glyph, when it
> > hits that unicode character?
> 
> It should, yes.  However, the Emacs setup for CJK fonts is very
> complex, and we don't currently have experts on board to understand
> why it doesn't work on MS-Windows.  So for now, you will have to put
> the below somewhere in your init file:
> 
>   (set-fontset-font t 'han
>                       '("Microsoft YaHei" . "iso10646-1") nil 'append)
> 
> to have these characters covered.
> 
> If this works for you, it is currently all we can do for this
> situation.  (And before you ask: we cannot have the above by default
> in Emacs OOTB because we don't want to promote non-free fonts that
> Windows provides.)

No further comments, so I'm now closing this bug.

Meanwhile, I've installed several small bugfixes on the master branch,
which will hopefully improve the search and use of Han fonts on
MS-Windows in Emacs 31.